package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferenceAgenda;
import com.smcic.api.conference.service.impl.ConferenceAgendaServiceImpl;
import com.smcic.core.auth.CmsLoginRequired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/agenda")
public class ConferenceAgendaController {

    @Resource
    private ConferenceAgendaServiceImpl conferenceAgendaService;

    @PostMapping("create")
    @CmsLoginRequired
    public ConferenceAgenda create(@RequestBody ConferenceAgenda conferenceAgenda){
        return  conferenceAgendaService.create(conferenceAgenda);
    }

    @PostMapping("update")
    @CmsLoginRequired
    public void update(@RequestBody ConferenceAgenda conferenceAgenda){
        conferenceAgendaService.update(conferenceAgenda);
    }

    @GetMapping("del/{id}")
    @CmsLoginRequired
    public void del(@PathVariable("id") Long id){
        conferenceAgendaService.del(id);
    }

    @GetMapping("list/{id}")
    public List<ConferenceAgenda> list(@PathVariable( "id" ) Long id){
        return conferenceAgendaService.listByCid(id);
    }

    @GetMapping("info/{id}")
    public ConferenceAgenda info(@PathVariable("id") Long id) {
        return conferenceAgendaService.info(id);
    }


}
