package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferenceAgendaDetail;
import com.smcic.api.conference.service.impl.ConferenceAgendaDetailServiceImpl;
import com.smcic.core.auth.CmsLoginRequired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@RestController
@RequestMapping("/conference/agenda-detail")
public class ConferenceAgendaDetailController {

    @Resource
    private ConferenceAgendaDetailServiceImpl conferenceAgendaDetailService;

    @PostMapping("create")
    @CmsLoginRequired
    public ConferenceAgendaDetail create(@RequestBody ConferenceAgendaDetail conferenceAgendaDetail){
        return conferenceAgendaDetailService.create(conferenceAgendaDetail);
    }

    @PostMapping("update")
    @CmsLoginRequired
    public void update(@RequestBody ConferenceAgendaDetail conferenceAgendaDetail){
        conferenceAgendaDetailService.update(conferenceAgendaDetail);
    }


    @GetMapping("del/{id}")
    @CmsLoginRequired
    public void del(@PathVariable("id") Long id){
        conferenceAgendaDetailService.del(id);
    }

    @GetMapping("list/{id}")
    public List<ConferenceAgendaDetail> list(@PathVariable("id") Long id){
        return conferenceAgendaDetailService.lambdaQuery().eq(ConferenceAgendaDetail::getAgendaId, id).orderByAsc(ConferenceAgendaDetail::getStartTime).list();
    }

}
