package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferenceConf;
import com.smcic.api.conference.service.impl.ConferenceConfServiceImpl;
import com.smcic.core.auth.CmsLoginRequired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/conf")
public class ConferenceConfController {

    @Resource
    private ConferenceConfServiceImpl conferenceConfService;

    @GetMapping("info/{id}/{key}")
    public ConferenceConf info(@PathVariable("id") Long id,@PathVariable( "key" ) String key) {
        return conferenceConfService.info(id, key);
    }

    @GetMapping("list/{id}")
    public List<ConferenceConf> list(@PathVariable("id") Long id){
        return conferenceConfService.listByCid(id);
    }

    @GetMapping("type/{type}/{id}")
    public List<ConferenceConf> listByType(@PathVariable("id") Long id,  @PathVariable("type") String type){
        return conferenceConfService.listByType(id, type);
    }


    @PostMapping("create")
    @CmsLoginRequired
    public  ConferenceConf create(@RequestBody ConferenceConf conferenceConf){
        return  conferenceConfService.create(conferenceConf);

    }

    @PostMapping("update")
    @CmsLoginRequired
    public  void update(@RequestBody ConferenceConf conferenceConf){
        conferenceConfService.update(conferenceConf);
    }

    @GetMapping("del/{id}")
    @CmsLoginRequired
    public  void del(@PathVariable("id") Long id){
        conferenceConfService.del(id);
    }

}
