package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferenceGuest;
import com.smcic.api.conference.service.impl.ConferenceGuestServiceImpl;
import com.smcic.core.auth.CmsLoginRequired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/guest")
public class ConferenceGuestController {

    @Resource
    private ConferenceGuestServiceImpl conferenceGuestService;

    @PostMapping("create")
    @CmsLoginRequired
    public ConferenceGuest create(@RequestBody ConferenceGuest conferenceGuest){
        return conferenceGuestService.create(conferenceGuest);
    }
    @PostMapping("update")
    @CmsLoginRequired
    public void update(@RequestBody ConferenceGuest conferenceGuest){
        conferenceGuestService.update(conferenceGuest);
    }

    @GetMapping("del/{id}")
    @CmsLoginRequired
    public void del(@PathVariable("id") Long id){
        conferenceGuestService.del(id);
    }

    @GetMapping( "list/{id}" )
    public List<ConferenceGuest> list(@PathVariable( "id" ) Long id,
                                      @RequestParam(value = "type", required = false, defaultValue = "0") Integer type) {
        return conferenceGuestService.listByType(id, type);
    }

    @GetMapping("info/{id}")
    public ConferenceGuest info(@PathVariable("id") Long id) {
        return conferenceGuestService.getById(id);
    }

}
