package com.smcic.api.conference.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.entity.ConferenceLive;
import com.smcic.api.conference.service.impl.ConferenceLiveServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/live")
public class ConferenceLiveController {

    @Resource
    private ConferenceLiveServiceImpl conferenceLiveService;

    @RequestMapping("create")
    public ConferenceLive create(@RequestBody ConferenceLive conferenceLive) {
        conferenceLive.setCreateTime( LocalDateTime.now() );
        conferenceLiveService.save(conferenceLive);
        return conferenceLive;
    }

    @RequestMapping("list/{id}")
    public Page<ConferenceLive> list(@PathVariable( "id" ) Long id,
                                     @RequestParam(value = "page", required = false, defaultValue = "1") Integer page,
                                     @RequestParam(value = "pageSize", required = false, defaultValue = "20") Integer size) {
        return conferenceLiveService.livePage(id, page, size);
    }
}
