package com.smcic.api.conference.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.entity.ConferenceNews;
import com.smcic.api.conference.service.impl.ConferenceNewsServiceImpl;
import com.smcic.core.auth.CmsLoginRequired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/news")
public class ConferenceNewsController {

    @Resource
    private ConferenceNewsServiceImpl conferenceNewsService;

    @PostMapping("create")
    @CmsLoginRequired
    public ConferenceNews create(@RequestBody ConferenceNews conferenceNews){
        return conferenceNewsService.create(conferenceNews);
    }

    @PostMapping("update")
    @CmsLoginRequired
    public void update(@RequestBody ConferenceNews conferenceNews){
        conferenceNewsService.update(conferenceNews);
    }

    @GetMapping("del/{id}")
    @CmsLoginRequired
    public void del(@PathVariable("id") Long id) {
        conferenceNewsService.del(id);
    }

    @GetMapping("list/{id}")
    public Page<ConferenceNews> list(@PathVariable( "id" ) Long id,
                                     @RequestParam(value = "category", required = false, defaultValue = "") String category,
                                     @RequestParam(value = "page", required = false, defaultValue = "1") Integer page,
                                     @RequestParam(value = "pageSize", required = false, defaultValue = "20") Integer size) {
        return conferenceNewsService.newsPage(id,  page, size, category);
    }

    @GetMapping("info/{id}")
    public ConferenceNews info(@PathVariable("id") Long id) {
        return conferenceNewsService.getById(id);
    }



}
