package com.smcic.api.conference.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.entity.ConferenceSubscription;
import com.smcic.api.conference.service.impl.ConferenceSubscriptionServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/subscription")
public class ConferenceSubscriptionController {

    @Resource
    private ConferenceSubscriptionServiceImpl subscriptionService;

    @PostMapping("create")
    public void createSubscription(@RequestBody ConferenceSubscription conferenceSubscription, @RequestParam("code") String code) {
        subscriptionService.create( conferenceSubscription, code);
    }

    @GetMapping("get/{id}")
    public List<ConferenceSubscription> getSubscription(@PathVariable("id") Long id, @RequestParam("code") String code) {
        return subscriptionService.getByCode( id, code);
    }

    @GetMapping("list/{id}")
    public Page<ConferenceSubscription> listSubscription(@PathVariable("id") Long id,
                                                         @RequestParam(value = "page", required = false, defaultValue = "1") Integer page,
                                                         @RequestParam(value = "pageSize", required = false, defaultValue = "20") Integer size) {
        return subscriptionService.getByCid( id, page, size);
    }

}
