package com.smcic.api.conference.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Getter
@Setter
public class Conference implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 大会名称
     */
    private String conferenceName;

    private String subtitle;

    /**
     * 大会介绍
     */
    private String conferenceDesc;

    /**
     * 大会地址
     */
    private String addr;

    /**
     * 主办方
     */
    private String sponsor;

    /**
     * 承办方
     */
    private String organizer;

    /**
     * 协办单位
     */
    private String coOrganizer;

    /**
     * 大会封面
     */
    private String cover;

    /**
     * 主题
     */
    private String theme;

    /**
     * logo
     */
    private String logo;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    @JsonFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    private String wxVideoUid;

    private String manual;

    private Long introductionId;


}
