package com.smcic.api.conference.service.impl;

import com.smcic.api.conference.entity.ConferenceAclData;
import com.smcic.api.conference.mapper.ConferenceAclDataMapper;
import com.smcic.api.conference.service.IConferenceAclDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.smcic.api.user.entity.User;
import com.smcic.api.user.service.impl.UserServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-04-08
 */
@Service
public class ConferenceAclDataServiceImpl extends ServiceImpl<ConferenceAclDataMapper, ConferenceAclData> implements IConferenceAclDataService {

    @Resource
    private UserServiceImpl userService;

    public void create(Long uid, Long cid){
        ConferenceAclData aclData = new ConferenceAclData();
        aclData.setAdminId(uid);
        aclData.setConferenceId(cid);
        save(aclData);
    }

    public List<Long> getAcl(Long uid){
        return lambdaQuery().eq(ConferenceAclData::getAdminId, uid).list().stream().map(ConferenceAclData::getConferenceId).collect(Collectors.toList());
    }

    public boolean hasDataAcl(Long cid){
        User loginUser = userService.getLoginUser();
        if(loginUser.getRoleId() == 1){
            return true;
        }
        return getAcl(loginUser.getId()).contains(cid);
    }


}
