package com.smcic.api.conference.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.smcic.api.conference.entity.ConferenceAgenda;
import com.smcic.api.conference.entity.ConferenceAgendaDetail;
import com.smcic.api.conference.mapper.ConferenceAgendaDetailMapper;
import com.smcic.api.conference.service.IConferenceAgendaDetailService;
import com.smcic.core.advice.BizException;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@Service
public class ConferenceAgendaDetailServiceImpl extends ServiceImpl<ConferenceAgendaDetailMapper, ConferenceAgendaDetail> implements IConferenceAgendaDetailService {

    @Resource
    private ConferenceAgendaServiceImpl agendaService;

    @Resource
    private ConferenceAclDataServiceImpl aclDataService;

    public ConferenceAgendaDetail create(ConferenceAgendaDetail conferenceAgendaDetail){
        ConferenceAgenda agenda = agendaService.getById(conferenceAgendaDetail.getAgendaId());

        if(!aclDataService.hasDataAcl(agenda.getConferenceId())){
            throw new BizException("没有该会议的权限");
        }

        save(conferenceAgendaDetail);
        return conferenceAgendaDetail;
    }

    public void update(ConferenceAgendaDetail conferenceAgendaDetail){
        ConferenceAgendaDetail detail = getById(conferenceAgendaDetail.getId());
        ConferenceAgenda agenda = agendaService.getById(detail.getAgendaId());

        if(!aclDataService.hasDataAcl(agenda.getConferenceId())){
            throw new BizException("没有该会议的权限");
        }

        detail.setTitle(conferenceAgendaDetail.getTitle());
        detail.setSpeaker(conferenceAgendaDetail.getSpeaker());
        detail.setSpeakerTags(conferenceAgendaDetail.getSpeakerTags());
        detail.setStartTime(conferenceAgendaDetail.getStartTime());
        detail.setEndTime(conferenceAgendaDetail.getEndTime());

        updateById(detail);
    }

    public void del(Long id){
        ConferenceAgendaDetail detail = getById(id);
        ConferenceAgenda agenda = agendaService.getById(detail.getAgendaId());

        if(!aclDataService.hasDataAcl(agenda.getConferenceId())){
            throw new BizException("没有该会议的权限");
        }

        removeById(id);
    }


}
