package com.smcic.api.operate.controller;


import com.google.common.collect.ImmutableMap;
import com.smcic.api.operate.service.impl.VoteInfoServiceImpl;
import com.smcic.core.auth.HttpContextUtil;
import com.smcic.core.auth.LoginRequired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2022-12-16
 */
@RestController
@RequestMapping("/operate/vote")
public class VoteInfoController {

    @Resource
    private VoteInfoServiceImpl voteInfoService;

    @RequestMapping("vote")
    @LoginRequired
    public void vote(@RequestParam("target") String target,
                     @RequestParam(value = "client",required = false,defaultValue = "") String client,
                     @RequestParam(value = "operateId", required = false, defaultValue = "2") Integer operateId){
        voteInfoService.vote(target, client, operateId);
    }

    @RequestMapping("times")
    @LoginRequired
    public Map<String, Long> votedNum(@RequestParam(value = "operateId", required = false, defaultValue = "2")Integer operateId){
        return ImmutableMap.of("times", voteInfoService.votedTimes(operateId, HttpContextUtil.getUser().get().getUid()));
    }
}
