package com.smcic.api.tags.service;

import com.smcic.api.tags.dto.UserTagsDTO;
import com.smcic.api.tags.entity.UserTags;

import java.util.concurrent.ConcurrentLinkedDeque;

public class TagsQueue {
    private static volatile TagsQueue tagsQueue;

    private final ConcurrentLinkedDeque<UserTagsDTO> userTags;

    private TagsQueue(){
        this.userTags = new ConcurrentLinkedDeque<>();
    }

    public static TagsQueue getInstance(){
        if (tagsQueue == null){
            synchronized (TagsQueue.class){
                if (tagsQueue == null){
                    tagsQueue = new TagsQueue();
                }
            }
        }
        return tagsQueue;
    }

    public ConcurrentLinkedDeque<UserTagsDTO> getUserTags(){
        return this.userTags;
    }


}
