package com.smcic.api.user.controller;

import com.smcic.api.user.dto.LoginDto;
import com.smcic.api.user.dto.PwdResetDTO;
import com.smcic.api.user.dto.TokenDto;
import com.smcic.api.user.dto.UserDTO;
import com.smcic.api.user.entity.User;
import com.smcic.api.user.service.impl.UserServiceImpl;
import com.smcic.core.auth.LoginRequired;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zyx
 * @since 2023-02-15
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserServiceImpl userService;

    @PostMapping("/login")
    public TokenDto login(@RequestBody @Valid LoginDto dto) {
        return userService.login(dto);
    }

    @RequestMapping("/info")
    @LoginRequired
    public User info() {
        return userService.getLoginUser();
    }

    @RequestMapping("/logout")
    @LoginRequired
    public void logout() {
        userService.logout();
    }

    @RequestMapping("pwd/reset")
    @LoginRequired
    public void reset(@RequestBody PwdResetDTO pwdResetDTO){
        userService.reset(pwdResetDTO);
    }

    @RequestMapping("update")
    @LoginRequired
    public void update(@RequestBody UserDTO userDTO){
        userService.updateRole(userDTO);
    }

}
